<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>DipSubscriptionListenerAdapter (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DipSubscriptionListenerAdapter (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipSubscriptionListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">cern.dip</a></div>
<h2 title="Class DipSubscriptionListenerAdapter" class="title">Class DipSubscriptionListenerAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>cern.dip.DipSubscriptionListenerAdapter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">DipSubscriptionListenerAdapter</span>
extends java.lang.Object
implements <a href="DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a></pre>
<div class="block">Default adapter for the DipSubscriptionListener.
 So you only override methods that are useful in your implementation.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">DipSubscriptionListenerAdapter</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#connected(cern.dip.DipSubscription)">connected</a></span>&#8203;(<a href="DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription)</code></th>
<td class="colLast">
<div class="block">Will be called when the subscription has been (re)connected to the publication's publisher.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#disconnected(cern.dip.DipSubscription,java.lang.String)">disconnected</a></span>&#8203;(<a href="DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription,
            java.lang.String&nbsp;reason)</code></th>
<td class="colLast">
<div class="block">Will be called when the subscription has been disconnected from the message
 provider (Due to the publisher becoming unavailable or some failure in the 
 DIP protocol).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#handleException(cern.dip.DipSubscription,java.lang.Exception)">handleException</a></span>&#8203;(<a href="DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription,
               java.lang.Exception&nbsp;ex)</code></th>
<td class="colLast">
<div class="block">Will be called when an exception, other than the disconnection has occured.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#handleMessage(cern.dip.DipSubscription,cern.dip.DipData)">handleMessage</a></span>&#8203;(<a href="DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription,
             <a href="DipData.html" title="interface in cern.dip">DipData</a>&nbsp;message)</code></th>
<td class="colLast">
<div class="block">Will be called on reception of updated publication information.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DipSubscriptionListenerAdapter</h4>
<pre>public&nbsp;DipSubscriptionListenerAdapter()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="handleMessage(cern.dip.DipSubscription,cern.dip.DipData)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleMessage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;handleMessage&#8203;(<a href="DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription,
                          <a href="DipData.html" title="interface in cern.dip">DipData</a>&nbsp;message)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="DipSubscriptionListener.html#handleMessage(cern.dip.DipSubscription,cern.dip.DipData)">DipSubscriptionListener</a></code></span></div>
<div class="block">Will be called on reception of updated publication information. Implementation must be provided by the 
 developer. It is important to check the quality of the data as this may determine how its value is treated. 
 It is essential that the implementor determines the quality of the message received before processing the messages
 data.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="DipSubscriptionListener.html#handleMessage(cern.dip.DipSubscription,cern.dip.DipData)">handleMessage</a></code>&nbsp;in interface&nbsp;<code><a href="DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subscription</code> - - the subscription object whose publication has been updated (Thus allowing one handler to be used for
 multiple subscribtions).</dd>
<dd><code>message</code> - - contains updated publication data. The value, timestamp, data quality etc. can be extracted from the message with
 DipData methods.</dd>
</dl>
</li>
</ul>
<a id="disconnected(cern.dip.DipSubscription,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disconnected</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;disconnected&#8203;(<a href="DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription,
                         java.lang.String&nbsp;reason)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="DipSubscriptionListener.html#disconnected(cern.dip.DipSubscription,java.lang.String)">DipSubscriptionListener</a></code></span></div>
<div class="block">Will be called when the subscription has been disconnected from the message
 provider (Due to the publisher becoming unavailable or some failure in the 
 DIP protocol). The developer must provide the appropriate implementation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="DipSubscriptionListener.html#disconnected(cern.dip.DipSubscription,java.lang.String)">disconnected</a></code>&nbsp;in interface&nbsp;<code><a href="DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subscription</code> - - indicates which subscription is broken (DIP will automatically attempt to resubscribe).</dd>
<dd><code>reason</code> - - why the subscription broke.</dd>
</dl>
</li>
</ul>
<a id="connected(cern.dip.DipSubscription)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connected</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;connected&#8203;(<a href="DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="DipSubscriptionListener.html#connected(cern.dip.DipSubscription)">DipSubscriptionListener</a></code></span></div>
<div class="block">Will be called when the subscription has been (re)connected to the publication's publisher. 
 The developer must provide the appropriate implementation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="DipSubscriptionListener.html#connected(cern.dip.DipSubscription)">connected</a></code>&nbsp;in interface&nbsp;<code><a href="DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subscription</code> - - indicates which subscription is restored/active.</dd>
</dl>
</li>
</ul>
<a id="handleException(cern.dip.DipSubscription,java.lang.Exception)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>handleException</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;handleException&#8203;(<a href="DipSubscription.html" title="interface in cern.dip">DipSubscription</a>&nbsp;subscription,
                            java.lang.Exception&nbsp;ex)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="DipSubscriptionListener.html#handleException(cern.dip.DipSubscription,java.lang.Exception)">DipSubscriptionListener</a></code></span></div>
<div class="block">Will be called when an exception, other than the disconnection has occured.
 These exceptions are generally asynch and , should they occur, related to the
 underlying DIP implementation. The exception to this is any uncaught exceptions in the
 above handlers will be forwarded to this handler.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="DipSubscriptionListener.html#handleException(cern.dip.DipSubscription,java.lang.Exception)">handleException</a></code>&nbsp;in interface&nbsp;<code><a href="DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subscription</code> - the subscription this is causing the problem</dd>
<dd><code>ex</code> - problem description</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipSubscriptionListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
